#pragma once

#include "CAFAna/Experiment.h"

namespace ana
{
  /// Very simple model allowing inclusion of reactor constraints
  class ReactorExperiment : public Experiment
  {
  public:
    ReactorExperiment(double bestFit, double sigma)
      : fBestFit(bestFit), fSigma(sigma)
    {
    }

    virtual double ChiSq(osc::IOscCalculatorAdjustable* osc,
                         const SystShifts& shift = SystShifts::Nominal()) const override;
  protected:
    double fBestFit, fSigma;
  };
}
