////////////////////////////////////////////////////////////////////////
/// \file   MatchIndices.h
/// \brief  List of indices of matched events
/// \author Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_MATCHINDICES_H
#define LEM_MATCHINDICES_H

#include <vector>

namespace lem
{
  /// List of indices of matched events
  class MatchIndices
  {
  public:
    int headIdx;
    std::vector<int> matches;
    std::vector<int> matchesEnrich;
  };
}

#endif
