////////////////////////////////////////////////////////////////////////
/// \file    Potential.h
/// \brief   Map of electrostatic potential at each cell
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_POTENTIAL_H
#define LEM_POTENTIAL_H

namespace lem
{
  /// Map of electrostatic potential at each cell
  class Potential
  {
  public:
    Potential();
    Potential Downsampled(int factor) const;
    float V[256*256];
  };
}

#endif
