////////////////////////////////////////////////////////////////////////
/// \file    OnDemand.h
/// \brief   Utilities for mapping in library files on-demand
/// \author  Christopher Backhouse - bckhouse@caltech.edu
////////////////////////////////////////////////////////////////////////

#ifndef LEM_ONDEMAND_H
#define LEM_ONDEMAND_H

#include <string>

namespace lem
{
  void SetOnDemandMemoryLimit(long limit_mb);

  void CreateOnDemandMapping(const std::string& fname, const char* base);
}

#endif
