///
/// \file  FEBRateAnalysis.h
/// \brief Summarize FEB rates produced by the online monitoring
///

namespace om {
  class RateSummaryNt {
  public:
    int run;
    int subrun;
    int db;
    int dcm;
    int feb;
    int pix;
    int hwx;
    int hwy;
    int blk;
    int pinb;
    int view;
    int mod;
    int cell;
    double minADC;
    double rate;
    double rateHigh;
    double rateLow;
    double rateMip;
    
  public:
    RateSummaryNt();
  };

}
////////////////////////////////////////////////////////////////////////
