#ifndef OM_DATABLOCKERRORS_H
#define OM_DATABLOCKERRORS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"

class TH2F;
namespace om { class RawEventSummary;  }
namespace om { class DataBlockSummary; }

namespace om {
  class DataBlockErrors : public SummarySubscriber {
  public:
    DataBlockErrors();
    ~DataBlockErrors();
    virtual void GetDataBlockSummary(const RawEventSummary&   r,
				     const DataBlockSummary&  dbs);
  private:

    // Key for histogram abbreviations:
    //
    // AE  = "All Errors"

    TH2F* fAEVsHour;

  };
}

#endif
////////////////////////////////////////////////////////////////////////
