///
/// \file    DataBlockSummary.h
/// \brief   All the interesting event-level data
/// \version $Id: DataBlockSummary.h,v 1.2 2012-10-31 22:43:19 mbaird42 Exp $
/// \author  messier@indiana.edu
///
#ifndef OM_DATABLOCKSUMMARY_H
#define OM_DATABLOCKSUMMARY_H

namespace om {
  class DataBlockSummary {
  public:
    DataBlockSummary();
  public:
    unsigned int fNmicroblock; ///< Number of micro blocks
    bool fMissingData;         ///< Is data missing?
  };
}

#endif
////////////////////////////////////////////////////////////////////////
