#include "OnlineMonitoring/producer/SummarySubscriber.h"
#include <iostream>
#include "OnlineMonitoring/producer/RawEventUnpacker.h"
using namespace om;

SummarySubscriber::SummarySubscriber(unsigned int which)
{
  if ((which & kEvent)!=0) {
    RawEventUnpacker::Instance().SubscribeToRawEventSummary(this);
  }
  if ((which & kDataBlock)!=0) {
    RawEventUnpacker::Instance().SubscribeToDataBlockSummary(this);
  }
  if ((which & kMicroSlice)!=0) {
    RawEventUnpacker::Instance().SubscribeToMicroSliceSummary(this);
  }
  if ((which & kNanoSlice)!=0) {
    RawEventUnpacker::Instance().SubscribeToNanoSliceSummary(this);
  }
}

//......................................................................

////////////////////////////////////////////////////////////////////////
