{
  TNtuple* nt = new TNtuple("nt","nt","db:dcm:feb:pix:ix:iy");
  nt->ReadFile("file.txt");
  
  nt->SetMarkerStyle(0);

  // Mapping of diblocks within the detector
  if (1) {
    TCanvas* c1 = new TCanvas("diblocks","diblocks");
    c1->Divide(2,2);
    nt->SetMarkerStyle(0);

    c1->cd(1);
    nt->SetMarkerColor(kGray);   nt->Draw("iy:ix");
    nt->SetMarkerColor(kRed);    nt->Draw("iy:ix","db==1","same");
    nt->SetMarkerColor(kOrange); nt->Draw("iy:ix","db==2","same");
    nt->SetMarkerColor(kYellow); nt->Draw("iy:ix","db==3","same");
    nt->SetMarkerColor(kGreen);  nt->Draw("iy:ix","db==4","same");

    c1->cd(2);
    nt->SetMarkerColor(kGray);   nt->Draw("iy:ix");
    nt->SetMarkerColor(kRed);    nt->Draw("iy:ix","db==5","same");
    nt->SetMarkerColor(kOrange); nt->Draw("iy:ix","db==6","same");
    nt->SetMarkerColor(kYellow); nt->Draw("iy:ix","db==7","same");
    nt->SetMarkerColor(kGreen);  nt->Draw("iy:ix","db==8","same");

    c1->cd(3);
    nt->SetMarkerColor(kGray);   nt->Draw("iy:ix");
    nt->SetMarkerColor(kRed);    nt->Draw("iy:ix","db==9","same");
    nt->SetMarkerColor(kOrange); nt->Draw("iy:ix","db==10","same");
    nt->SetMarkerColor(kYellow); nt->Draw("iy:ix","db==11","same");
    nt->SetMarkerColor(kGreen);  nt->Draw("iy:ix","db==12","same");

    c1->cd(4);
    nt->SetMarkerColor(kGray);   nt->Draw("iy:ix");
    nt->SetMarkerColor(kRed);    nt->Draw("iy:ix","db==13","same");
    nt->SetMarkerColor(kOrange); nt->Draw("iy:ix","db==14","same");
    nt->SetMarkerColor(kYellow); nt->Draw("iy:ix","db==15","same");
  }

  // Mapping of FEBs within a DCM
  if (1) {
    TCanvas* c1 = new TCanvas("febs","febs");
    c1->Divide(2,2);
    nt->SetMarkerSize(0.4);

    c1->cd(1);

    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==1", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==2", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==15", "same");

    c1->cd(2);

    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==16", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==17", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==18", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==31", "same");

    c1->cd(3);

    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==32", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==33", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==34", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==47", "same");
    
    c1->cd(4);

    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==48", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==49", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==50", "same");
    
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==63", "same");
  }

  // Mapping of pixels within an FEB
  if (1) {
    TCanvas* c1 = new TCanvas("pixels","pixels");
    c1->Divide(4,2);
    nt->SetMarkerSize(0.4);

    c1->cd(1);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==0","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==1","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==2","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==3","same");

    c1->cd(2);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==4","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==5","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==6","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==7","same");

    c1->cd(3);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==8","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==9","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==10","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==11","same");

    c1->cd(4);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==12","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==13","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==14","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==15","same");

    c1->cd(5);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==16","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==17","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==18","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==19","same");

    c1->cd(6);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==20","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==21","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==22","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==23","same");

    c1->cd(7);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==24","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==25","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==26","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==27","same");

    c1->cd(8);
    nt->SetMarkerStyle(24); nt->SetMarkerColor(kGray);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0");

    nt->SetMarkerStyle(20); nt->SetMarkerColor(kRed);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==28","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kOrange);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==29","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kYellow);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==30","same");
    nt->SetMarkerStyle(20); nt->SetMarkerColor(kGreen);
    nt->Draw("iy:ix","db==1&&dcm==1&&feb==0&&pix==31","same");
  }
}
