#pragma once

namespace osc{class IOscCalculatorAdjustable;}

#include "CAFAna/SystShifts.h"

class TDirectory;

namespace ana
{
  /// Base class defining interface for experiments
  class Experiment
  {
  public:
    virtual ~Experiment() {}
    virtual double ChiSq(osc::IOscCalculatorAdjustable* osc,
                         const SystShifts& syst = SystShifts::Nominal()) const = 0;

    virtual void SaveTo(TDirectory* dir) const;
  };
}
