#ifndef SliceMEFCluster_h
#define SliceMEFCluster_h

#include "RecoBase/Cluster.h"
#include "art/Persistency/Common/Ptr.h"

namespace me {  
  class SliceMEFCluster: public rb::Cluster
  {
  public:
    SliceMEFCluster(); 
    ~SliceMEFCluster(); 

    double DistToSlc() const;
    double DeltaT() const;
    int NSlcMatches() const;
    //std::vector<int> SlcIndices() const;

    void SetDistToSlc(double);
    void SetDeltaT(double);
    void SetNSlcMatches(int);
    //    void SetSlcIndices(std::vector<int>);

  protected:


    double            fDistToSlc;
    double            fDeltaT;
    int               fNSlcMatches;
    std::vector<int>  fSlcIndices;
    
  };
  
} // end namespace me

#endif


