#ifndef OM_WLPLOTS_H
#define OM_WLPLOTS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"

namespace om { class RawEventSummary;   }
namespace om { class DataBlockSummary;  }
namespace om { class MicroSliceSummary; }
namespace om { class NanoSliceSummary;  }

namespace om {
  class WLPlots : public SummarySubscriber {
  public:
    WLPlots();
    ~WLPlots();
    virtual void GetNanoSliceSummary(const RawEventSummary&   r,
				     const DataBlockSummary&  dbs,
				     const MicroSliceSummary& mss,
				     const NanoSliceSummary&  nss);
  };
}

#endif
////////////////////////////////////////////////////////////////////////
