#ifndef OM_HWDCMLABEL_H
#define OM_HWDCMLABEL_H
#include <list>
class TText;
class TLine;
class TH1;

namespace om {
  ///
  /// Draw a nicely formatted overlay on DCM plots
  ///
  class HwDCMLabel 
  {
  public:
    HwDCMLabel();
    ~HwDCMLabel();

    void Draw();
    void Config(const TH1* h);

  private:
    void Clear();
    void MakeHorizontalLines();
    void MakeVerticalLines();
    void MakeFEBLabels();
    void MakePixelKey();
  private:
    std::list<TText*> fText;
    std::list<TLine*> fLine;
  };
}

#endif
////////////////////////////////////////////////////////////////////////
