#ifndef OM_TABS_BOX
#define OM_TABS_BOX
#include "TGTab.h"
namespace om { class HistogramBrowser; }
namespace om { class ComparisonBox;    }
namespace om { class WatchListBox;     }

namespace om {
  class TabsBox : public TGTab {
  public:
    TabsBox(TGWindow* w);
    ~TabsBox();
  private:
    HistogramBrowser* fHistoBrowser;
    ComparisonBox*    fComparisonBox;
    WatchListBox*     fWatchListBox;
    TGLayoutHints*    fHistoBrowserHints;
    TGLayoutHints*    fComparisonBoxHints;
    TGLayoutHints*    fWatchListBoxHints;
  };
}

#endif
////////////////////////////////////////////////////////////////////////
