#ifndef SRSLCME_H
#define SRSLCME_H

#include "TVector3.h"
#include "StandardRecord/SRProng.h"// for plane_proj enumeration with kX, kY, kXorY

namespace caf
{
  
  /// The SRSlcME represents output from SlcMEFilter.
  class SRSlcME
    {
    public:
      SRSlcME();

      ~SRSlcME(){  };
      
      unsigned short  nhit;     
      unsigned short  nmatches;
      float           calE;      
      float           deltat;    
      float           disttoslc;
      TVector3        meanpos; 

    };
  
} // end namespace

#endif // SRMICHELE_H
//////////////////////////////////////////////////////////////////////////////
