#include "CAFAna/ReactorExperiment.h"

#include "CAFAna/FitVars.h"

#include "Utilities/func/MathUtil.h"

namespace ana
{
  double ReactorExperiment::ChiSq(osc::IOscCalculatorAdjustable* osc,
                                  const SystShifts& /*syst*/) const
  {
    return util::sqr((kFitSinSq2Theta13.GetValue(osc)-fBestFit)/fSigma);
  }
}
