#include "CosRej/NueCosRej.h"

namespace cosrej{


  NueCosRej::NueCosRej():     
    fHitsPerPlane(-5.0),
    fProngTransMom(-5.0),
    fParticleShowerTransMom(-5.0),
    fPhotonShowerTransMom(-5.0),
    fStartDistToTop(-5.0),
    fStartDistToBottom(-5.0),
    fStartDistToFront(-5.0),
    fStartDistToBack(-5.0),
    fStartDistToWest(-5.0),
    fStartDistToEast(-5.0),
    fStopDistToTop(-5.0),
    fStopDistToBottom(-5.0),
    fStopDistToFront(-5.0),
    fStopDistToBack(-5.0),
    fStopDistToWest(-5.0),
    fStopDistToEast(-5.0),
    fShowerDistToVtx(-5.0),
    fAngleToNextShower(-5.0),
    fShowerMaxX(-5.0),
    fShowerMaxY(-5.0),
    fShowerMaxZ(-5.0)
  {
  }// end of constructor

  //---------------------------------------------------------
  NueCosRej::~NueCosRej()
  {
  }

}// end of namespace cosrej
