#include "Munits.h"


double Munits::ToKelvin(double temperature) 
{ 
    return temperature; 
}

double Munits::ToCelcius(double temperature)
{
    return temperature - standard_temperature;
}

double Munits::ToFahrenheit(double temperature)
{
    return Munits::ToCelcius(temperature)*9.0/5.0 + 32.0;
}

double Munits::FromCelcius(double degrees_celcius)
{
    return degrees_celcius + standard_temperature;
}

double Munits::FromKelvin(double degrees_kelvin)
{
    return degrees_kelvin;
}

double Munits::FromFahrenheit(double degrees_fahrenheit)
{
    return FromCelcius(5.0/9.0*(degrees_fahrenheit-32));
}
