#ifndef LEM_UTIL_H
#define LEM_UTIL_H

#include "TVector3.h"

#include "GeometryObjects/CellUniqueId.h"

namespace rb{class Cluster;}

namespace lem
{
  void DefaultVertex(const rb::Cluster& slice,
                     int& plane, int& cell, int& cellOtherView);

  /// Steps around a bit. Can still return zero for total failure
  geo::CellUniqueId FindCellRobust(double x, double y, double z);

  void VertexToPlaneAndCell(const TVector3 vtx, const rb::Cluster& slice,
                            int& plane, int& cell, int& cellOtherView);
}

#endif
