#include "art/Persistency/Common/Wrapper.h"
#include "art/Persistency/Common/Assns.h"
#include "art/Persistency/Common/Ptr.h"

#include "LEM/func/LibrarySummary.h"
#include "LEM/func/MatchIndices.h"
#include "LEM/func/MatchList.h"
#include "LEM/func/PIDExtraVars.h"

#include "LEM/LEMInput.h"
#include "LEM/PIDDetails.h"

#include "RecoBase/Cluster.h"

template class std::vector<lem::PIDDetails>;
template class art::Ptr<lem::PIDDetails>;
template class std::vector<art::Ptr<lem::PIDDetails> >;
template class art::Wrapper< std::vector<lem::PIDDetails> >;

template class std::vector<lem::MatchSummary>;
template class art::Ptr<lem::MatchSummary>;
template class std::vector<art::Ptr<lem::MatchSummary> >;
template class art::Wrapper< std::vector<lem::MatchSummary> >;

template class std::vector<lem::LibrarySummary>;
template class art::Ptr<lem::LibrarySummary>;
template class std::vector<art::Ptr<lem::LibrarySummary> >;
template class art::Wrapper<lem::LibrarySummary>;
template class art::Wrapper<std::vector<lem::LibrarySummary> >;

template class std::vector<lem::MatchList>;
template class art::Ptr<lem::MatchList>;
template class std::vector<art::Ptr<lem::MatchList> >;
template class art::Wrapper< std::vector<lem::MatchList> >;

template class std::vector<lem::MatchIndices>;
template class art::Ptr<lem::MatchIndices>;
template class std::vector<art::Ptr<lem::MatchIndices> >;
template class art::Wrapper< std::vector<lem::MatchIndices> >;

template class std::vector<lem::PIDExtraVars>;
template class art::Ptr<lem::PIDExtraVars>;
template class std::vector<art::Ptr<lem::PIDExtraVars> >;
template class art::Wrapper<lem::PIDExtraVars>;
template class art::Wrapper<std::vector<lem::PIDExtraVars> >;

template class art::Assns<lem::MatchList, rb::Cluster, void>;
template class art::Wrapper<art::Assns<lem::MatchList, rb::Cluster, void> >;
template class std::pair<art::Ptr<lem::MatchList>, art::Ptr<rb::Cluster> >;

template class art::Assns<lem::MatchIndices, rb::Cluster, void>;
template class art::Wrapper<art::Assns<lem::MatchIndices, rb::Cluster, void> >;
template class std::pair<art::Ptr<lem::MatchIndices>, art::Ptr<rb::Cluster> >;

template class std::vector<lem::EventSummary>;
template class art::Ptr<lem::EventSummary>;
template class std::vector<art::Ptr<lem::EventSummary> >;
template class art::Wrapper<lem::EventSummary>;
template class art::Wrapper<std::vector<lem::EventSummary> >;

template class art::Assns<rb::Cluster, lem::MatchList, void>;
template class art::Wrapper<art::Assns<rb::Cluster, lem::MatchList, void> >;
template class std::pair<art::Ptr<rb::Cluster>, art::Ptr<lem::MatchList> >;

template class std::vector<lem::LiteHit>;
template class art::Ptr<lem::LiteHit>;
template class std::vector<art::Ptr<lem::LiteHit> >;
template class art::Wrapper<lem::LiteHit>;
template class art::Wrapper<std::vector<lem::LiteHit> >;

template class std::vector<lem::LEMInput>;
template class art::Wrapper<std::vector<lem::LEMInput> >;

template class art::Assns<lem::LEMInput, rb::Cluster, void>;
template class art::Wrapper<art::Assns<lem::LEMInput, rb::Cluster, void> >;
template class std::pair<art::Ptr<lem::LEMInput>, art::Ptr<rb::Cluster> >;

template class art::Assns<double, rb::Cluster, void>;
template class art::Wrapper<art::Assns<double, rb::Cluster, void> >;
template class std::pair<art::Ptr<double>, art::Ptr<rb::Cluster> >;

template class std::pair<art::Ptr<rb::Cluster>, art::Ptr<lem::PIDDetails> >;
template class std::pair<art::Ptr<lem::PIDDetails>, art::Ptr<rb::Cluster> >;

template class art::Assns<rb::Cluster, lem::PIDDetails, void>;
template class art::Assns<lem::PIDDetails, rb::Cluster, void>;

template class art::Wrapper<art::Assns<rb::Cluster, lem::PIDDetails, void> >;
template class art::Wrapper<art::Assns<lem::PIDDetails, rb::Cluster, void> >;
