#include "NumuSandbox/NumuSandObj.h"

namespace numusand
{
  //---------------------------------------------------------
  NumuSandObj::NumuSandObj()
  {
    SetPiMuDecay(-5);
    SetVtxDst(-5.);
    SetMuDst(-5.);
    SetMissingE(-5.);
    SetMissingE2(-5.);
    SetXMin2(-5.);
    SetYMin2(-5.);
    SetZMin2(-5.);
    SetXMax2(-5.);
    SetYMax2(-5.);
    SetZMax2(-5.);
    SetXMint(-5.);
    SetYMint(-5.);
    SetZMint(-5.);
    SetXMaxt(-5.);
    SetYMaxt(-5.);
    SetZMaxt(-5.);

  }

  //---------------------------------------------------------
  NumuSandObj::~NumuSandObj()
  {
  }

  //---------------------------------------------------------
  void NumuSandObj::SetPiMuDecay(int pitomu)
  {
    fPiMuDecay = pitomu;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetVtxDst(float dist)
  {
    fVtxDst = dist;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetMuDst(float dist)
  {
    fMuDst = dist;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetMissingE(float misse)
  {
    fMissE = misse;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetMissingE2(float misse2)
  {
    fMissE2 = misse2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMin2(float dxmin2)
  {
    fXmin2 = dxmin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMin2(float dymin2)
  {
    fYmin2 = dymin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMin2(float dzmin2)
  {
    fZmin2 = dzmin2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMax2(float dxmax2)
  {
    fXmax2 = dxmax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMax2(float dymax2)
  {
    fYmax2 = dymax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMax2(float dzmax2)
  {
    fZmax2 = dzmax2;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMint(float dxmint)
  {
    fXmint = dxmint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMint(float dymint)
  {
    fYmint = dymint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMint(float dzmint)
  {
    fZmint = dzmint;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetXMaxt(float dxmaxt)
  {
    fXmaxt = dxmaxt;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetYMaxt(float dymaxt)
  {
    fYmaxt = dymaxt;
  }

  //---------------------------------------------------------
  void NumuSandObj::SetZMaxt(float dzmaxt)
  {
    fZmaxt = dzmaxt;
  }

  //---------------------------------------------------------
  int NumuSandObj::PiMuDecay() const
  {
    return fPiMuDecay;
  }

  //---------------------------------------------------------
  float NumuSandObj::VtxDst() const
  {
    return fVtxDst;
  }

  //---------------------------------------------------------
  float NumuSandObj::MuDst() const
  {
    return fMuDst;
  }

  //---------------------------------------------------------
  float NumuSandObj::MissingE() const
  {
    return fMissE;
  }

  //---------------------------------------------------------
  float NumuSandObj::MissingE2() const
  {
    return fMissE2;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMin2() const
  {
    return fXmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMin2() const
  {
    return fYmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMin2() const
  {
    return fZmin2;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMax2() const
  {
    return fXmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMax2() const
  {
    return fYmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMax2() const
  {
    return fZmax2;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMint() const
  {
    return fXmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMint() const
  {
    return fYmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMint() const
  {
    return fZmint;
  }

  //---------------------------------------------------------
  float NumuSandObj::XMaxt() const
  {
    return fXmaxt;
  }

  //---------------------------------------------------------
  float NumuSandObj::YMaxt() const
  {
    return fYmaxt;
  }

  //---------------------------------------------------------
  float NumuSandObj::ZMaxt() const
  {
    return fZmaxt;
  }

}
