#ifndef OM_HITCOUNTS_H
#define OM_HITCOUNTS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"
class TH1F;
class TH2F;

namespace om {
  class HitCounts : public SummarySubscriber {
  public:
    HitCounts();
    virtual void GetRawEventSummary(const RawEventSummary& res);
  private:
    TH2F* fNhitVsHour;
    TH2F* fNfebsVsHour;
    TH2F* fNdcmsVsHour;
    TH2F* fAveNmicroSlVsHour;
    TH2F* fTotNmicroSlVsHour;
  };
}

#endif
////////////////////////////////////////////////////////////////////////
