#ifndef OM_RAWEVENTERRORS_H
#define OM_RAWEVENTERRORS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"

class TH2F;
namespace om { class RawEventSummary;  }

namespace om {
  class RawEventErrors : public SummarySubscriber {
  public:
    RawEventErrors();
    ~RawEventErrors();
    virtual void GetRawEventSummary(const RawEventSummary&   r);
  private:

    // Key for histogram abbreviations:
    //
    // AE  = "All Errors"

    TH2F* fAEVsHour;

  };
}

#endif
////////////////////////////////////////////////////////////////////////
