#ifndef OM_TRIGGERPLOTS_H
#define OM_TRIGGERPLOTS_H
#include "OnlineMonitoring/producer/SummarySubscriber.h"

class TH1F;
class TH2F;
//namespace om { class RawEventSummary;   }

namespace om {
  class TriggerPlots : public SummarySubscriber {
  public:
    TriggerPlots();
    ~TriggerPlots();
    virtual void GetRawEventSummary(const RawEventSummary& r);
  private:
    TH1F* fDtNuMITrig;
    TH1F* fDtBNBTrig;
    TH1F* fDtCalibTrig;
    TH2F* fTriggerVsHour;
    TH2F* fTriggerVsHourGeneral;
    TH1F* fEvtMinusPrevEvt;

    unsigned long int fT0prevNuMI;
    unsigned long int fT0prevBNB;
    unsigned long int fT0prevCalib;

    unsigned long int fRunPrev;
    unsigned long int fEventPrev;
  };
}

#endif
////////////////////////////////////////////////////////////////////////
