#include "OnlineMonitoring/util/HistoTable.h"
#include "OnlineMonitoring/util/HistoData.h"
#include <cassert>
#include <iostream>

int main(void) 
{
  om::HistoTable& t = om::HistoTable::Instance();
  
  t.ReadFile("test-histos.csv", om::kNEARDET);

  assert(t["Test1D"].      fName=="Test1D");
  assert(t["Test2D"].      fName=="Test2D");
  assert(t["TestRegExp_1"].fName=="TestRegExp_*");
  assert(t["TestRegExp_2"].fName=="TestRegExp_*");
  assert(t["TestFDND"].    fNx==10);

  std::cout << "All tests passed." << std::endl;
  return 0;
}
////////////////////////////////////////////////////////////////////////
