#include<limits>

#include "StandardRecord/SRSlcME.h"


namespace caf 
{
  
  SRSlcME::SRSlcME():
  nhit(std::numeric_limits<unsigned short>::signaling_NaN()),        
  nmatches(std::numeric_limits<unsigned short>::signaling_NaN()),        
  calE(std::numeric_limits<float>::signaling_NaN()),        
  deltat(std::numeric_limits<float>::signaling_NaN()),      
  disttoslc(std::numeric_limits<float>::signaling_NaN()), 
  meanpos()
  {}
  
  
  
} // end namespace caf
////////////////////////////////////////////////////////////////////////
